Author Topic: moving a drawing to 0,0  (Read 8414 times)

0 Members and 1 Guest are viewing this topic.

lispman21

  • Guest
moving a drawing to 0,0
« on: July 27, 2006, 11:03:21 AM »
I was just wondering if there was a way to take the lower left hand corner of a drawing and move it to (0,0).  I know you can do this manually but i would like to have the program find the base point and move it to (0,0) automatically.  Maybe you would have to select every entity in the drawing and have it find the lower left handcorner that way.  I have no clue. 

grush

  • Guest
Re: moving a drawing to 0,0
« Reply #1 on: July 27, 2006, 11:08:50 AM »
Wouldn't it be easier just to redefine 0,0 instead of moving everything? Just a thought.

UCS;n;[pick new point for 0,0].


Pete

David Hall

  • Automatic Duh Generator
  • King Gator
  • Posts: 4075
Re: moving a drawing to 0,0
« Reply #2 on: July 27, 2006, 11:09:15 AM »
there is a way, I think the sysvar is extmin, that would be your base point.
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second.
Sometimes the question is more important than the answer. (Thanks Kerry for reminding me)

nivuahc

  • Guest
Re: moving a drawing to 0,0
« Reply #3 on: July 27, 2006, 11:10:54 AM »
extmin will only be accurate (if I recall correctly) after a regen.

CADaver

  • Guest
Re: moving a drawing to 0,0
« Reply #4 on: July 27, 2006, 11:16:25 AM »
Before you tear down a fence, it always a good idea to determine why it was built in the first place.

Why is the drawing not @ 0,0?  We build things on the coordinates in which they will reside which means the drawings can be very far from 0,0 and are rarely close to it.  Maybe the better option is place all annotation in PS at PS 0,0,0, and leave the model geometry where it is.

Dinosaur

  • Guest
Re: moving a drawing to 0,0
« Reply #5 on: July 27, 2006, 11:25:23 AM »
Agreed Randy, all kinds of unintended consequences can happen when you move the drawing geometry and nearly all are quite unpleasant when discovered

uncoolperson

  • Guest
Re: moving a drawing to 0,0
« Reply #6 on: July 27, 2006, 11:48:44 AM »
Code: [Select]
(setq pt1 (car (acet-geom-ss-extents (setq theset (ssget "X")) t )))
(command "move" theset "" pt1 '(0 0 0))


Agreed Randy, all kinds of unintended consequences can happen when you move the drawing geometry and nearly all are quite unpleasant when discovered

what he said

Dinosaur

  • Guest
Re: moving a drawing to 0,0
« Reply #7 on: July 27, 2006, 12:05:39 PM »
-EDIT-

Depends to a large extent what the content and usage of the drawing are.

MY RESPONSE TO THIS DELETED POST BY ANNONYMOUS

Absolutely, and since the consequences of that action can vary from nothing at all to the trashing of an entire drawing set, it should not be done without a thorough investigation.  As long as these drawings are entities unto themselves and not referenced to or from any other drawing everything should be OK except for an occasional hiccough in a hatch, leader or dimension.  If someone comes in and does that to one of my Civil 3D project folders though, it is literally a start over for the project.
« Last Edit: August 29, 2006, 08:11:44 PM by DinØsaur »

lispman21

  • Guest
Re: moving a drawing to 0,0
« Reply #8 on: July 27, 2006, 12:20:59 PM »
All of these drawings are dxf's and in order for this other program we have to bring them in and scale the proportionally and correctly the bottom left hand corner of the drawing must be placed at (0,0).  As to why these were not drawn at (0,0) to begin with i don't know.  Maybe they were just trying to get the drawings done and not worry about the placement until later.

lispman21

  • Guest
Re: moving a drawing to 0,0
« Reply #9 on: July 27, 2006, 12:25:21 PM »
Code: [Select]
(setq pt1 (car (acet-geom-ss-extents (setq theset (ssget "X")) t )))
(command "move" theset "" pt1 '(0 0 0))


I tried this code and it did not work.  It said error no function acet-geom-ss-extents.

I am running in 2002 maybe i need to try it in 06.

Dinosaur

  • Guest
Re: moving a drawing to 0,0
« Reply #10 on: July 27, 2006, 12:31:11 PM »
From what it sounds like you are doing, you should have few problems - just the minor ones I mentioned above if that.  Are these drawings all in modelspace (or even all in paperspace with a titleblock that you are wanting to move to 0,0?  If so, no problems.  If you have geometry in model with a paperspace titleblock and a viewport you are in for a lot of work.

lispman21

  • Guest
Re: moving a drawing to 0,0
« Reply #11 on: July 27, 2006, 12:35:14 PM »
All of the dxf geometry is in model space with nothing at all in paper space.  And again I am working in Acad 2002 but do have access to 2006, just incase some code doesn't work in 2002.

Slim©

  • Needs a day job
  • Posts: 6566
  • The Dude Abides...
Re: moving a drawing to 0,0
« Reply #12 on: July 27, 2006, 12:45:13 PM »
What type of drawings are they Civil, Architectural, etc.? Or are they of the block type?
I drink beer and I know things....

uncoolperson

  • Guest
Re: moving a drawing to 0,0
« Reply #13 on: July 27, 2006, 12:46:17 PM »
Code: [Select]
(setq pt1 (car (acet-geom-ss-extents (setq theset (ssget "X")) t )))
(command "move" theset "" pt1 '(0 0 0))


I tried this code and it did not work.  It said error no function acet-geom-ss-extents.

I am running in 2002 maybe i need to try it in 06.

acet-geom-ss-extents
is express tools stuff

lispman21

  • Guest
Re: moving a drawing to 0,0
« Reply #14 on: July 27, 2006, 01:22:08 PM »
These drawings are Mechanical. All are of Fans and dampers for air handling units.  All blocks in the drawings have been exploded so that they can be changed.